<script setup lang="ts">
const { onRender } = useScreen();

const store = useContactStore();
const { assets } = useAssets();

onRender((ctx) => {
  ctx.globalAlpha = store.isIntro
    ? store.intro.stage1Opacity
    : store.outro.stage2Opacity;
  assets.images.contact.topScreen.leftBar.draw(ctx, 0, 0);

  ctx.globalAlpha = store.isIntro
    ? store.intro.stage3Opacity
    : store.outro.stage1Opacity;
  assets.images.contact.topScreen.leftBarThings.draw(ctx, 0, 0);
});

defineOptions({
  render: () => null,
});
</script>
